Subject: Re: [dhcwg] FW: New Version Notification for draft-ren-dhc-problem-statement-of-mredhcpv6-00.txt

From: 何林 <[email-masked]>
Date: Fri, 20 Apr 2018 19:47:57 +0800

Currently, DHCPv6 continues to be extended and improved through being added
new options, new protocols, or message processing mechanisms.

Although DHCPv6 provides more and more comprehensive functionality and many
DHCPv6 server software have provided extension interfaces to allow users to
alter and customize the way how they handle and respond to DHCPv6 messages,
we lack a general insight of how to solve the extension problem effectively.

As DHCPv6 is such an important and useful protocol related to IPv6
addresses generation, it can provide more extended and flexible
functionality to meet users' requirements.

This document describes the current extension practices and typical DHCP
server software on extensions and provides a problem statement by defining
a DHCP general model, analyzing the unresolved multi-requirement extension
problems, and providing possible directions for new work that could solve
these problems.

2018-03-19 23:13 GMT+08:00 rengang <[email-masked]>:

> Hi, all
>
> We've submitted a new draft.
>
> This document describes the problem Statement of multi-requirement
> extensions for DHCPv6.
> We hope you could review the draft and give some comments. Thanks a lot.
>
> Best Regards,
>
> Ren Gang
>
> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]]
> 发送时间: 2018年3月19日 13:50
> 收件人: Gang Ren <[email-masked]>; Lin He <
> [email-masked]>; Ren Gang <[email-masked]>; Ying Liu
> <[email-masked]>
> 主题: New Version Notification for draft-ren-dhc-problem-
> statement-of-mredhcpv6-00.txt
>
>
> A new version of I-D, draft-ren-dhc-problem-statement-of-mredhcpv6-00.txt
> has been successfully submitted by Gang Ren and posted to the IETF
> repository.
>
> Name:           draft-ren-dhc-problem-statement-of-mredhcpv6
> Revision:       00
> Title:          Problem Statement of Multi-requirement Extensions for
> Dynamic Host Configuration Protocol for IPv6 (DHCPv6)
> Document date:  2018-03-19
> Group:          Individual Submission
> Pages:          12
> URL:            https://www.ietf.org/internet-
> drafts/draft-ren-dhc-problem-statement-of-mredhcpv6-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-ren-dhc-problem-
> statement-of-mredhcpv6/
> Htmlized:       https://tools.ietf.org/html/draft-ren-dhc-problem-
> statement-of-mredhcpv6-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ren-dhc-
> problem-statement-of-mredhcpv6
>
>
> Abstract:
>    The manageability, security, privacy protection, and traceability of
>    networks can be supported by extending DHCPv6 protocol.  This
>    document analyzes the current extension practices and typical DHCP
>    server software on extensions, defines a DHCP general model, lists
>    the unresolved problem, and provides the possible directions to solve
>    the problems.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>

-- 

    Yours Sincerely,

*   Lin He*